ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package feature
  Definition Classes
    ds
-  package fragment
  Definition Classes
    ds
-  package read
  Definition Classes
    ds
-  package sequence
  Definition Classes
    ds
-  package variant
  Definition Classes
    ds
- ADAMContext
- ADAMSaveAnyArgs
- AvroGenomicDataset
- AvroReadGroupGenomicDataset
- DatasetBoundGenericGenomicDataset
- DatasetBoundGenomicDataset
- FullOuterShuffleRegionJoin
- GenericConverter
- GenericGenomicDataset
- GenomeBins
- GenomicBroadcast
- GenomicDataset
- GenomicDatasetConversion
- GenomicDatasetWithLineage
- GenomicPositionPartitioner
- GenomicRegionPartitioner
- InFormatter
- InFormatterCompanion
- InnerShuffleRegionJoin
- InnerShuffleRegionJoinAndGroupByLeft
- InnerTreeRegionJoin
- InnerTreeRegionJoinAndGroupByRight
- LeftOuterShuffleRegionJoin
- LeftOuterShuffleRegionJoinAndGroupByLeft
- MultisampleAvroGenomicDataset
- MultisampleGenomicDataset
- OutFormatter
- RDDBoundGenericGenomicDataset
- ReferencePartitioner
- RegionJoin
- RightOuterShuffleRegionJoinAndGroupByLeft
- RightOuterTreeRegionJoin
- RightOuterTreeRegionJoinAndGroupByRight
- ShuffleRegionJoin
- SortedIntervalPartitionJoinWithVictims
- TreeRegionJoin
- VictimlessSortedIntervalPartitionJoin

c

org.bdgenomics.adam.ds

# GenomicRegionPartitioner 

###
Companion object GenomicRegionPartitioner

#### case class GenomicRegionPartitioner(partitionSize: Long, seqLengths: Map[String, Long], start: Boolean = true) extends Partitioner with Logging with Product with Serializable

A partitioner for ReferenceRegion-keyed data.

partitionSize

  The number of bases per partition.

seqLengths

  A map between contig names and contig lengths.

start

  If true, use the start position (instead of the end position) to decide which partition a key belongs to.

Linear Supertypes
Product, Equals, Logging, Partitioner, Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenomicRegionPartitioner
2. Product
3. Equals
4. Logging
5. Partitioner
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new GenomicRegionPartitioner(partitionSize: Long, seqLengths: Map[String, Long], start: Boolean = true)

   partitionSize

     The number of bases per partition.

   seqLengths

     A map between contig names and contig lengths.

   start

     If true, use the start position (instead of the end position) to decide which partition a key belongs to.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
7.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
   Attributes
     protected
   Definition Classes
     Logging
8.  def debug(msg: ⇒ Any): Unit
   Attributes
     protected
   Definition Classes
     Logging
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
11.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
12.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  def getPartition(key: Any): Int

    key

      The key to get the partition index for.

    returns

      The partition that a key should map to.

    Definition Classes
      GenomicRegionPartitioner → Partitioner
    Exceptions thrown

      `IllegalArgumentException` Throws an exception if the data is not a ReferenceRegion or a tuple of (ReferenceRegion, _).

15.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
16.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
17.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
18.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
19.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
20.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
23.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
24.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
25.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
29.  def numPartitions: Int

    returns

      The number of partitions described by this partitioner. Roughly the size of the genome divided by the partition length.

    Definition Classes
      GenomicRegionPartitioner → Partitioner
30.  val partitionSize: Long
31.  val seqLengths: Map[String, Long]
32.  val start: Boolean
33.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
34.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
35.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
36.  def trace(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
41.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
42.  def warn(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from Partitioner

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped